(function($){
 	$.fn.extend({
		simplestSlider: function(options) {
			var defaults = {
				sliderHeight: 300,
				transitionSpeed: 1000,
			}
			var options =  $.extend(defaults, options);
			return this.each(function() {		
				var parentID = $(this);
				var withOfParent = $(parentID).parent().width();
				$("li", parentID).width(withOfParent);
				$("li", parentID).height(options.sliderHeight);
				var widthOfLi = withOfParent;
				var amountOfLi = $("li ", parentID).size();
				var widthOfUl = widthOfLi*amountOfLi;
				var counter = 0;
				$(parentID).append('<div class="backward">&laquo;</div><div class="forward">&raquo;</div>');
				var widthOfButton = $(".forward", parentID).width();
				$(".forward", parentID).css({'left': widthOfLi-widthOfButton-'10'});
				$(parentID).css('overflow','hidden');
				$(parentID).css('overflow','hidden');
				$("ul", parentID).css('width',''+widthOfUl+'');
				$("li", parentID).css({float: 'left', overflow: 'hidden'});
				$(".backward", parentID).hide();	
				$(".forward", parentID).bind('click', function() {
					$("ul", parentID).animate({left : '-='+widthOfLi+''}, {duration: options.transitionSpeed});
					counter = counter+1;
					hideTheTrigger();
				});
				$(".backward", parentID).bind('click', function() {
					$("ul", parentID).animate({left : '+='+widthOfLi+''}, {duration: options.transitionSpeed});
					counter = counter-1;
					hideTheTrigger();
				});
				function hideTheTrigger() {
					if(counter<=0) {
						$(".backward", parentID).hide();
					} else {
						$(".backward", parentID).show();
					}
					if(counter>=amountOfLi-1) {
						$(".forward", parentID).hide();
					} else {
						$(".forward", parentID).show();
					}
				}    
			});
		}
	});
})(jQuery);